<?php

namespace Drupal\group_subscription\Plugin;

use Drupal\gnode\Plugin\GroupContentEnabler\GroupNode;
use Drupal\Core\Form\FormStateInterface;

//use Drupal\group_notify\Plugin\NotifyGroupNode;

class GroupSubscriptionGroupNode extends GroupNode {

  /**
   * {@inheritdoc}
   */
  public function buildConfigurationForm(array $form, FormStateInterface $form_state) {
    $form = parent::buildConfigurationForm($form, $form_state);

    $content = $this->pluginDefinition['entity_bundle'];
    $group_type = $this->getGroupType()->get('label');

    $form['group_subscription'] = [
      '#type' => 'checkbox',
      '#title' => $this->t('Include in group subscriptions'),
      '#description' => $this->t('Include new @content content in email subscriptions for the @group_type group type.', ['@content' => $content, '@group_type' => $group_type,]),
      '#default_value' => $this->configuration['group_subscription'] ?? FALSE
    ];

    $form['group_subscription_options'] = [
      '#type' => 'fieldset',
      '#title' => $this->t('Group Subscription Options'),
      '#states' => [
        'visible' => [
          ':input[name="group_subscription"]' => ['checked' => TRUE],
        ],
      ],
    ];

    $form['group_subscription_options']['group_subscription_mode'] = [
      '#type' => 'radios',
      '#default_value' => $this->configuration['group_subscription_mode'] ?? 'always',
      '#options' => [
        'always' => $this->t('Always include new @content content in subscriptions for the @group_type group type.', ['@content' => $content, '@group_type' => $group_type,]),
        'option' => $this->t('Provide option to omit individual @content content from subscriptions for the @group_type group type.', ['@content' => $content, '@group_type' => $group_type,])
      ],
    ];

    return $form;
  }

}
